
TYPO3.Flow - Bug # 34545

Status: Resolved Priority: Could have
Author: Ondrej Hatala Category: Persistence
Created: 2012-03-05 Assigned To: Karsten Dambekalns
Updated: 2012-06-25 Due date:
PHP Version:
Has patch: No
Complexity: easy
Affected Flow version: FLOW3 1.1.0 beta 1
Subject: Hint at wrong usage of @ORM\MappedSuperclass not displayed
Description

Doctrine 2 allows usage of @MappedSuperclass without @Entity, but in FLOW3 @Entity annotation is necessary. That's why the hint
was added (http://forge.typo3.org/issues/27285).

Nowadays this behaviour is broken, because
TYPO3\FLOW3\Reflection\ReflectionService::ensureAggregateRootInheritanceChainConsistency() is executed before the first call to
Flow3AnnotationDriver::getClassSchema() and fails.

Proposed solution: add check to ensureAggregateRootInheritanceChainConsistency() do not try to check aggregate roots for
schema-less objects.

It is however highly probable that sooner or later this same problem will happen again, so it may be advisable to deal with it in better
way.

Related issues:
related to TYPO3.Flow - Bug # 27285: Exception with /** @MappedSuperclass */ Resolved 2011-06-07
related to TYPO3.Flow - Bug # 37547: Exception "No class schema found for "Do... Resolved 2012-05-28

History
#1 - 2012-03-07 18:43 - Karsten Dambekalns
- Category set to Persistence
- Status changed from New to Accepted
- Assigned To set to Karsten Dambekalns
- Target version set to 1.1

#2 - 2012-05-25 09:40 - Karsten Dambekalns
- Target version changed from 1.1 to 1.1 RC1

#3 - 2012-06-25 20:42 - Karsten Dambekalns
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100
- Affected Flow version changed from Git master to FLOW3 1.1.0 beta 1

I consider this solved with https://review.typo3.org/#/q/I5c617cbc28b02db1e3b7389f963fd1ab50b3cf3b,n,z
